Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# OgreOverlayElement.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreString.h"`
`#include "OgreRenderable.h"`
`#include "OgreUTFString.h"`
`#include "OgreStringInterface.h"`
`#include "OgreOverlayElementCommands.h"`
`#include "OgreColourValue.h"`
`#include "OgreRectangle.h"`

Go to the source code of this file.

## Namespaces
namespace | Ogre
## Defines
#define | OGRE_DEREF_DISPLAYSTRING_ITERATOR(it) it.getCharacter()
## Typedefs
typedef UTFString | DisplayString
## Enumerations
enum | GuiMetricsMode { GMM_RELATIVE, GMM_PIXELS, GMM_RELATIVE_ASPECT_ADJUSTED }
| Enum describing how the position / size of an element is to be recorded. More...
enum | GuiHorizontalAlignment { GHA_LEFT, GHA_CENTER, GHA_RIGHT }
| Enum describing where '0' is in relation to the parent in the horizontal dimension. More...
enum | GuiVerticalAlignment { GVA_TOP, GVA_CENTER, GVA_BOTTOM }
| Enum describing where '0' is in relation to the parent in the vertical dimension. More...

## Define Documentation

#define OGRE_DEREF_DISPLAYSTRING_ITERATOR | ( | it |  | ) | it.getCharacter()

| Definition at line 47 of file OgreOverlayElement.h.

## Typedef Documentation

typedef UTFString Ogre::DisplayString

| Definition at line 46 of file OgreOverlayElement.h.

## Enumeration Type Documentation

enum Ogre::GuiHorizontalAlignment

  | Enum describing where '0' is in relation to the parent in the horizontal dimension. Remarks: Affects how 'left' is interpreted. Enumeration values:
  GHA_LEFT |
  GHA_CENTER |
  GHA_RIGHT |
Definition at line 67 of file OgreOverlayElement.h.

enum Ogre::GuiMetricsMode

  | Enum describing how the position / size of an element is to be recorded. Enumeration values:
  GMM_RELATIVE | 'left', 'top', 'height' and 'width' are parametrics from 0.0 to 1.0
  GMM_PIXELS | Positions & sizes are in absolute pixels.
  GMM_RELATIVE_ASPECT_ADJUSTED | Positions & sizes are in virtual pixels.
Definition at line 54 of file OgreOverlayElement.h.

enum Ogre::GuiVerticalAlignment

  | Enum describing where '0' is in relation to the parent in the vertical dimension. Remarks: Affects how 'top' is interpreted. Enumeration values:
  GVA_TOP |
  GVA_CENTER |
  GVA_BOTTOM |
Definition at line 76 of file OgreOverlayElement.h.

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Sep 30 10:50:58 2007